[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.ConstraintErrorMessage

Message to display if the CustomConstraint constraint is violated.

## Declaration

Source position: db.pas line 422

`published property TField.ConstraintErrorMessage: String read FConstraintErrorMessage write FConstraintErrorMessage;`

## Description

ConstraintErrorMessage is the message that should be displayed when the dataset checks the constraints and the constraint in TField.CustomConstraint is violated.

This feature is not yet implemented in FPC.

## See also

TField.CustomConstraint |  | Custom constraint for the field's value

The latest version of this document can be found at lazarus-ccr.sourceforge.net .